__gnu_profile::__map2umap_info(3cxx)

NAME
__gnu_profile::__map2umap_info - A map-to-unordered_map instrumentation line in the object table.

SYNOPSIS

Inherits __gnu_profile::__object_info_base.

Inherited by __gnu_profile::__map2umap_stack_info.

  Public Member Functions

__map2umap_info (__stack_t __stack)
std::string __advice () const
bool __is_valid () const
float __magnitude () const
void __merge (const __map2umap_info &__o)
void __merge (const __object_info_base &__o)
void __record_erase (std::size_t __size, std::size_t __count)
void __record_find (std::size_t __size)
void __record_insert (std::size_t __size, std::size_t __count)
void __record_iterate (int __count)
void __set_invalid ()
void __set_iterate_costs ()
__stack_t __stack () const
void __write (FILE *__f) const

  Protected Attributes

__stack_t _M_stack
bool _M_valid

Detailed Description

A map-to-unordered_map instrumentation line in the object table.

Definition at line 66 of file profiler_map_to_unordered_map.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.